﻿/************************************************
 Form classes
*************************************************/

form.form.contact > .control-group:first-of-type {
	display: none;
}

form.form {
	width: 100%;
	padding: 0;
	margin: 0 0 12px 0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;	
}

p.memberzone-loginheader {
	margin-top: 0px;
	margin-bottom: 12px;
}

form.contact {
	padding: 0;
}

form.memberzone {
	padding: 0;
}

p.memberzone-loginheader {
	margin-top: 0px;
	margin-bottom: 12px;
}

.form p.form-comment {
	margin-top: 5px;
	margin-bottom: 8px;
}

.form hr.delimiterline {
	background-color: #e4e2f3;
	opacity: .5;
	height: 1px;
	border: 0;
	margin-top: 22px;
	margin-bottom: 22px;
}

/************************************************
 Buttons -> http://www.cssbuttongenerator.com
*************************************************/

input.formbutton {
	cursor:pointer;
	margin-top: 12px;
	margin-bottom: 3px;
	padding: 0px 24px;
	background-color:#ededed;
	border:1px solid #aaa;
	color:#555;
	font-family:Arial;
	font-size:12px;
	font-weight:bold;
	font-style:normal;
	height:24px;
	line-height:22px;
	text-decoration:none;
	text-align:center;
	text-shadow:1px 1px 0px #ffffff;
	-webkit-border-radius:3px;
	-moz-border-radius:3px;
	border-radius:3px;	
	-webkit-box-shadow:inset 0px 1px 0px 0px #ffffff;
	-moz-box-shadow:inset 0px 1px 0px 0px #ffffff;
	box-shadow:inset 0px 1px 0px 0px #ffffff;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;	
}

input.formbutton:hover {
	background-color:#dfdfdf;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}

input.submit {
}

input.reset {
	margin-left: 6px;
}

/************************************************
 Form fields classes
*************************************************/

.control-group {
	overflow: hidden;
	width: 100%;
	padding-top: 3px;
	padding-bottom: 3px;	  
}

.checkboxes {
	padding-top: 1px;
	padding-bottom: 2px;
	padding-left: 10px;	/* neu fix */
}

.controls {
	width: 100%;
	/* margin: 0 0 0 10px; */
}

.control-group .required {
	margin-left: 4px;
	font-size: 14px;
	line-height: 16px;
	font-weight: bold;
	color: #d55;
	font-style: normal;
}

.control-group .required:after {
	content: "*";
}

.layer_form .captcha {
	margin-top: 10px; /* neu fix */
	margin-bottom: 10px; /* neu fix */
}

/************************************************
 Form Fields Types
*************************************************/

.controls .font {
    font-family: "Mulish", sans-serif;
    font-size: 16px;
    font-weight: 300;
	color: #868d98;
}

.controls .border {
	position: relative;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

.controls .textbox {
	height: 20px;
	padding-left: 20px;
	padding-bottom: 26px;
}

.controls .password {
	height: 20px;
	padding-left: 20px;
}

.controls .textarea {
	height: 160px;
	padding-left: 20px;
	margin-bottom: 0px;
	resize: none;
}

.controls .datetime {
	height: 20px;
	width: 112px;
	padding-left: 20px;
}

.controls .date {
	height: 20px;
	width: 76px;
	padding-left: 20px;
}

.controls .dropdown {
	height: 50px;
	margin: 0;
	min-width: 100px;
}

.controls .dropdown {
	-moz-appearance: none;
	-webkit-appearance: none;
}

.controls .chev-down {
	position: absolute;
	top: 17px;
	right: 13px;
}

.controls.expanded .chev-down {
	top: 28px;
}

/************************************************
 Checkboxes & Radiobuttons
*************************************************/

.controls .checkbox {
	margin-left: 0;
}

.controls .checkbox-left {
	margin-left: 1px;
}

.radiobutton-group {
	padding-bottom: 12px;
}

.radiobuttons-label {
	float: none;
	margin-top: 1px;
	margin-bottom: 20px;
}

.radiobuttons-left {
	float: none;
}

.controls label.checkbox-label,
.controls label.radiobutton-label {
	margin-bottom: -1px;
	position: relative;
	top: -2px;		
}

.controls input[type=checkbox]:not(old),
.controls input[type=radio   ]:not(old){
	width   : 0px;
	margin  : 0;
	padding : 0;
	opacity : 0;
				min-height: auto !important;
}

.controls input[type=checkbox]:not(old) + label,
.controls input[type=radio   ]:not(old) + label{
	display	  : inline-block;
	margin-left  : 0px;
	padding-left : 27px;
	background   : url('/pic/checks.png') no-repeat 0 0;
	line-height  : 22px;
	height	   : auto !important;
}

/* CSS hack for firefox! */
@-moz-document url-prefix() { 
	.controls input[type=checkbox]:not(old) {
		margin-left: 0; /* -13px */
	}
	.controls input[type=radio]:not(old) + label {
		margin-left: 0; /* -13px */
	}
}

.controls input[type=checkbox]:not(old):checked + label{
	background-position : 0 -24px;
}

.controls input[type=radio]:not(old):checked + label{
	background-position : 0 -48px;
}

/************************************************
 New Form fields classes / Overrides
*************************************************/

.controls .border {
	background-color: #fff;
    border: 1px solid #e4e2f3 !important;
    border-radius: 30px;
	margin-bottom: 10px;
}

.controls .dropdown.newstyle {
	width: 100%;
	padding-left: 20px;				/* adapt if needed */
}

/* Reset and setup new input fields */
.controls .newstyle {
	margin: 0;
	border: none;
	background-color: transparent;
	transition: all 0.3s ease;
}

.controls label {
	position: absolute;
	top: 7px;
	margin-left: 20px;				/* adapt if needed */
	cursor: default;
	font-weight: 300;
	-webkit-user-select: none;  
	-moz-user-select: none;	
	-ms-user-select: none;	  
	user-select: none;
	transition: all 0.3s ease;		
}

.controls.expanded label {
	top: 5px;
	opacity: 0.6;
	font-size: 11px;
	transition: all 0.3s ease;
}

.controls.expanded .newstyle {
	padding-top: 40px;
	padding-bottom: 24px;
	transition: all 0.3s ease;
}

.controls.expanded select.newstyle {
    padding-top: 0;
	    margin-top: 26px;
    margin-bottom: -14px;
}

.controls.expanded textarea.newstyle {
    padding-top: 28px;
}

/* Disable auto fill background colors for Chrome */
@-webkit-keyframes autofill {
	to { background: transparent; }
}

input:-webkit-autofill {
	-webkit-animation-name: autofill;
	-webkit-animation-fill-mode: both;
}

/************************************************
 Search form & results
*************************************************/

form.search {
	padding: 0;
}

p.search-header {
	margin-top: 0px;
	margin-bottom: 12px;
}

p.searchresults {
	margin-top: 0px;
	margin-bottom: 12px;
}

ul.searchresults {
	margin: 0;
	padding: 0;
	list-style: none;
}

li.searchresult {
	padding: 4px 0;
	margin-bottom: 6px;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;	  
}

li.searchresult:hover {
	background-color: #f8f8f8;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;		
}

li.searchresult:before {
	display:none !important;
}

li.searchresult a.search-title {
	text-decoration: none !important;
}

li.searchresult h4.search-title {
	margin: 2px 0 5px 0;
	padding: 0;
}

li.searchresult p.search-content {
	margin: 0 0 6px 0;
	padding: 0;
}

li.searchresult p.search-moddates {
	margin: 0;
	padding: 0;
	font-size: 10px;
}

i.markedterm {
	background-color: #FFFBAA;
	font-style: normal;
	font-weight: bold;
	animation: blinkermarkedterm 0.7s cubic-bezier(.5, 0, 1, 1) infinite alternate;  
	-webkit-animation: blinkermarkedterm 0.7s cubic-bezier(.5, 0, 1, 1) infinite alternate;	  
}

@keyframes blinkermarkedterm {  
  0% { opacity: 1; }
  100% { opacity: 0.6; }
}

@-webkit-keyframes blinkermarkedterm {  
  0% { opacity: 1; }
  100% { opacity: 0.6; }
}

.archive .owl-carousel-disabled.row {
    --bs-gutter-x: 0;
    margin-right: calc(-.5* var(--bs-gutter-x));
    margin-left: calc(-.5* var(--bs-gutter-x));
}

.blog.archive .item {
    margin-right: 15px;
}

@media (min-width: 992px) {
	.blog.archive .col-lg-6 {
		flex: 0 0 auto;
		width: calc(50% - 15px);
	}
}
	
/************************************************
 Page Navigator
*************************************************/

nav.page-navigator {
	overflow: hidden;
	margin: 0px 15px 0 15px;
	padding: 0;
	width: 100%;
}

nav.page-navigator a {
	float: left;
	text-decoration: none;
	color: #ecf3f6;
}

div.pg-nav-box {
	background-color: #5c4d91;
	border: 1px solid #5c4d91;
	float: left;
	margin-right: 5px;
	border-radius: 30px;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	transition: all 0.3s ease;	
}

div.pg-nav-box:hover {
	background-color: #fff;
	color: #000;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;	
}

div.pg-nav-page {
	float: left;
	border: 1px solid #5c4d91;
	padding: 8px 18px;
}

div.pg-nav-active {
	background-color: #fff !important;
	color: #000;
}

div.pg-nav-back,
div.pg-nav-forward {
	padding: 8px 10px 8px 16px;
	font-size: 16px;
}

/************************************************
 Container Layers
*************************************************/

hr.layer_spacer {
	background: none;
	border: none !important;
	padding: 0;
	margin: 0 !important;
	clear: both;
}

.layer_wysiwyg {
}

.layer_wysiwyg h2, .layer_wysiwyg h3 {
	color: #152833 !important;
}

.content h2, .content h3 {
	color: #152833 !important;
}

 
/************************************************
 Google Maps
*************************************************/

p.route-planer {
	margin-bottom: 0;
}

div.googlemaps-map {
	height: 600px;
}

/************************************************
 Cookie data protection
*************************************************/

.keks-message h3 {
	margin-bottom: 0.5em;
}

.keks-bg-layer {
	background-color: rgba(240,240,240,.85);
	backdrop-filter: blur(3px);
	position:fixed;
	z-index: 32766;
	top:0;
	left:0;
	bottom:0;
	right:0;
}

.keks-bg-layer button {
	background-color: #959595;
	color: white;
	margin-top: 10px;
	padding: 5px 20px;
	line-height: 26px;
	border: none;
	text-transform: uppercase;
	transition: all 0.3s;
}

.keks-bg-layer button:hover {
	background-color: #656565;
	transition: all 0.3s;
}

.keks-dataprotection-container {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: 800px;
	min-width: 360px;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	z-index: 32767;
	box-shadow: 0px 0 10px rgba(0, 0, 0, 0.4);
}

.keks-dataprotection-container .keks-message {
	cursor: pointer;
	position: relative;
	padding: 35px 55px 35px 35px;
	margin: 0;
	background-color: #f9f9f9;
	color: #6f6f6f;
	font-family: "Open Sans", sans-serif;
	font-size: 15px;
	font-weight: 300;
	line-height: 1.42857143;
}

.keks-dataprotection-container a {
	color: #333745;
}

.keks-dataprotection-container .keks-close {
	font-size: 13px;
	color: #6f6f6f;
	position: absolute;
	top: 17px;
	right: 12px;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;	
}

.keks-dataprotection-container .keks-close:hover {
	color: #009db4;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;	
}

.keks-dataprotection-container .keks-close .fa-times {
	position: absolute;
	top: -2px;
}

/************************************************
 Animations
*************************************************/

@-webkit-keyframes fa-spin {
  0% {
	-webkit-transform: rotate(0deg);
	transform: rotate(0deg); }
  100% {
	-webkit-transform: rotate(360deg);
	transform: rotate(360deg); }
}

@keyframes fa-spin {
  0% {
	-webkit-transform: rotate(0deg);
	transform: rotate(0deg); }
  100% {
	-webkit-transform: rotate(360deg);
	transform: rotate(360deg); }
}

/************************************************
 WEITERLESEN-Element
*************************************************/

.readmore-style {
	cursor:pointer;
	-webkit-transition: all 0.3s cubic-bezier(0.3, 1, 0.3, 1);
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s cubic-bezier(0.3, 1, 0.3, 1);
	transition: all 0.3s cubic-bezier(0.3, 1, 0.3, 1);
}

.readmore-style:hover {
	color: #18b589; /* Akzent */
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}

blockquote:empty {
	display: none;
}
